Subject: Authentication Manager has to make sure that only one Party can be authenticated at a time
Description

.

Associated revisions
Revision d4490a8d - 2010-03-02 17:05 - Andreas Förthner

[+TASK] FLOW3 (Security): The security context has now a method getParty() which returns the party of the first authenticated account. This method
is e.g. used for runtime evaluations (current.party) in AOP or the security policy. Resolves #6135

History
#1 - 2010-02-25 18:22 - Andreas Förthner
- Subject changed from Authentication Manager has to make sure that only one Party can be authenticated at the time to Authentication Manager has 
to make sure that only one Party can be authenticated at a time
- Target version set to 1.0 alpha 8

#2 - 2010-02-25 18:50 - Andreas Förthner
- Status changed from New to Accepted

#3 - 2010-03-01 23:33 - Andreas Förthner

BTW: We have to provide a getParty() method in the security context, as it is already used by the policy service....

#4 - 2010-03-02 18:00 - Andreas Förthner
- Status changed from Accepted to Resolved
- % Done changed from 0 to 100

Applied in changeset r3897.
